Bug 1621449 - Fix displaying disk type of a VM created from template and passing clone parameter to RHV
Summary: Fix displaying disk type of a VM created from template and passing clone para...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.9.5
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1598747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-23 15:58 UTC by Satoe Imaishi
Modified: 2018-11-05 21:47 UTC (History)
9 users (show)

Fixed In Version: 5.9.5.0
Doc Type: Bug Fix
Doc Text:
This release of CloudForms corrects an issue where all VMs were provisioned as dependent. Now, when a user selects the "preallocated" storage type the VM will be provisioned as "clone/independent".
Clone Of: 1598747
Environment:
Last Closed: 2018-11-05 13:58:45 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)
clone_bug_1621449.png (127.75 KB, image/png)
2018-10-03 10:35 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:16 UTC

Comment 2 CFME Bot 2018-08-31 11:12:41 UTC
New commits detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/1df8d77e5154b17d06278d2a0e9fc9e0aa530711
commit 1df8d77e5154b17d06278d2a0e9fc9e0aa530711
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Tue Aug 21 13:27:23 2018 -0400
Commit:     Moti Asayag <masayag@redhat.com>
CommitDate: Tue Aug 21 13:27:23 2018 -0400

    Merge pull request #277 from borod108/bugs/1598747provisioning_clone

    Fix provisioning independent VM
    (cherry picked from commit b88ddd1f6a16df20f7ea4367205e84ddb1414ea8)

    https://bugzilla.redhat.com/show_bug.cgi?id=1621449

 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 2 +-
 app/models/manageiq/providers/redhat/infra_manager/provision/cloning.rb | 14 +-
 spec/models/manageiq/providers/redhat/infra_manager/provision_spec.rb | 19 +-
 3 files changed, 32 insertions(+), 3 deletions(-)


https://github.com/ManageIQ/manageiq-providers-ovirt/commit/253bab74fd15e35203c590d7c9bb391718b2a2a3
commit 253bab74fd15e35203c590d7c9bb391718b2a2a3
Author:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
AuthorDate: Thu Aug 30 10:07:02 2018 -0400
Commit:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
CommitDate: Thu Aug 30 10:07:02 2018 -0400

    Merge pull request #282 from borod108/bug/vm_provisioning_storage_specs

    Fix setting storage attributes during vm provision
    (cherry picked from commit fdc51dfd1fd49942494119d8ae0bb2ba628a8791)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1621449

 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 43 +-
 spec/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4_spec.rb | 67 +
 2 files changed, 103 insertions(+), 7 deletions(-)

Comment 6 Ilanit Stein 2018-10-03 10:34:22 UTC
Verified on CFME-5.9.5.

For the tested VM provisions see attached "clone_bug_1621449.png"

Comment 7 Ilanit Stein 2018-10-03 10:35:07 UTC
Created attachment 1489906 [details]
clone_bug_1621449.png

Comment 10 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.